# NixOS configuration for flemming
#
# Andy Flemming, AKA Slackbastard is the psuedonym of an Australian anarchist
# who hosts Yeah Nah Pasaran on radio 3CR and documents fascism and its
# grave diggers in Australia
#
# https://en.wikipedia.org/wiki/Andy_Fleming_(activist)
# https://slackbastard.anarchobase.com/
# https://www.3cr.org.au/yeahnahpasaran
{
  config,
  pkgs,
  lib,
  ...
}: {
  imports = [
    ../../../networks/pi3B_rack.nix
  ];

  # Comment out deployment when building the SD Image.
  deployment.targetHost = "10.42.0.202";
  networking.hostName = "flemming"; # Define your hostname.

  system.stateVersion = "23.11"; # The version of NixOS originally installed
}
