# NixOS configuration for pred
#
# <predator>, AKA Michael Carlton or just "pred", was an Australian
# anarcho-sydnicalist who helped set up Catalyst, a radical community activist
# tech collective in Sydney, Australia. They went on to provide information
# technology services for a wide range of activist and commmunity based
# organisations around both Sydney and Australia. In the process, knowledge was
# shared, skills were learned and taught - from building and maintaining
# hardware to writing computer code. It was from this original initiative that
# an open-posting model of web publishing was developed for the J18 protest
# that occured worldwide in 1999. The codebase was named 'Active' and went on
# to power the first Indymedia site. As they say, "the rest is history."
#
# Rest in Power, Pred, we miss ya.
#
# https://archive.org/stream/PredTxt/Pred-txt_djvu.txt
# https://indymedia.org.au/2012/04/25/interview-with-pred-predaor-mike-carlton.html
# https://www.youtube.com/watch?v=Cfe3ExZivdQ
{
  config,
  pkgs,
  ...
}: {
  imports = [
    ../../../hardware/binaryLane_vm.nix
  ];

  # Comment out deployment when building the SD Image.
  deployment.targetHost = "203.57.51.158";
  networking.hostName = "pred"; # Define your hostname.

  system.stateVersion = "23.11"; # The version of NixOS originally installed
}
