# Configuration common to all Reciproka Kolektivo servers
{config, ...}: {
  # Program defaults for all hosts
  programs.bash = {
    interactiveShellInit = ''
      export TERM="xterm-256color"
      test -r ~/.dir_colors && eval $(dircolors ~/.dir_colors)
    '';
    promptInit = ''
      eval "$(starship init bash)"
    '';
    vteIntegration = true;
  };
}
