# Nix configuration nix-direnv
{
  config,
  pkgs,
  lib,
  ...
}: {
  nix = {
    extraOptions = ''
      keep-outputs = true
      keep-derivations = true
    '';
  };

  # Set the environment
  environment = {
    systemPackages = with pkgs; [
      direnv # A shell extension that manages your environment
      #nix-direnv # A fast, persistent use_nix implementation for direnv
    ];
    #  pathsToLink = [
    #    "/share/nix-direnv"
    #  ];
  };

  nixpkgs.overlays = [
    (self: super: {nix-direnv = super.nix-direnv.override {enableFlakes = true;};})
  ];
}
