{
  pkgs ? import <nixpkgs> {},
  ragenix,
  alejandra,
  mkShell,
  colmena,
}:
with pkgs;
  mkShell {
    buildInputs = [
      ragenix # CLI management of secrets encrypted via existing SSH keys
      alejandra # The Uncompromising Nix Code Formatter
      colmena # simple, stateless NixOS deployment tool
      nix # Powerful package manager that makes package management reliable and reproducible
      tea # Gitea official CLI client
      treefmt # one CLI to format the code tree
    ];
  }
